<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpUnitMenu: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-deprecated.html" title="Part VII. Deprecated API">
<link rel="prev" href="GimpPixmap.html" title="GimpPixmap">
<link rel="next" href="api-index-full.html" title="Index">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpUnitMenu.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpUnitMenu.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpUnitMenu.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpUnitMenu.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-deprecated.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPixmap.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="api-index-full.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpUnitMenu"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpUnitMenu.top_of_page"></a>GimpUnitMenu</span></h2>
<p>GimpUnitMenu — Widget for selecting a <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-unit-menu.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpUnitMenu.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-new" title="gimp_unit_menu_new ()">gimp_unit_menu_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-set-unit" title="gimp_unit_menu_set_unit ()">gimp_unit_menu_set_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-get-unit" title="gimp_unit_menu_get_unit ()">gimp_unit_menu_get_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-get-pixel-digits" title="gimp_unit_menu_get_pixel_digits ()">gimp_unit_menu_get_pixel_digits</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-set-pixel-digits" title="gimp_unit_menu_set_pixel_digits ()">gimp_unit_menu_set_pixel_digits</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpUnitMenu.html#GimpUnitMenu-unit-changed" title="The “unit-changed” signal">unit-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpUnitMenu.html#GimpUnitMenu-struct" title="GimpUnitMenu">GimpUnitMenu</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkButton.html#GtkButton-struct">GtkButton</a>
                            <span class="lineart">╰──</span> <a href="../gtk2/GtkOptionMenu.html#GtkOptionMenu-struct">GtkOptionMenu</a>
                                <span class="lineart">╰──</span> GimpUnitMenu
</pre>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpUnitMenu implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/GtkActivatable.html#GtkActivatable-struct">GtkActivatable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.description"></a><h2>Description</h2>
<p>This widget provides a <a href="../gtk2/GtkOptionMenu.html#GtkOptionMenu-struct"><span class="type">GtkOptionMenu</span></a> which contains a list of
<a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>'s.</p>
<p>You can specify the string that will be displayed for each unit by
passing a printf-like <em class="parameter"><code>format</code></em>
 string to <a class="link" href="GimpUnitMenu.html#gimp-unit-menu-new" title="gimp_unit_menu_new ()"><code class="function">gimp_unit_menu_new()</code></a>.</p>
<p>The constructor also lets you choose if the menu should contain
items for GIMP_UNIT_PIXEL, GIMP_UNIT_PERCENT and a "More..." item
which will pop up a dialog for selecting user-defined units.</p>
<p>Whenever the user selects a unit from the menu or the dialog, the
"unit_changed" signal will be emitted.</p>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-unit-menu-new"></a><h3>gimp_unit_menu_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_unit_menu_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *format</code></em>,
                    <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>,
                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_pixels</code></em>,
                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_percent</code></em>,
                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_custom</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_unit_menu_new</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Creates a new <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> widget.</p>
<p>For the <em class="parameter"><code>format</code></em>
 string's possible expansions, see <a href="../html/libgimpbase-gimpunit.html#gimp-unit-format-string"><code class="function">gimp_unit_format_string()</code></a>.</p>
<div class="refsect3">
<a name="gimp-unit-menu-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>format</p></td>
<td class="parameter_description"><p>A printf-like format string which is used to create the unit
strings.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>The initially selected unit.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show_pixels</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the unit menu should contain an item for
GIMP_UNIT_PIXEL.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show_percent</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> in the unit menu should contain an item for
GIMP_UNIT_PERCENT.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show_custom</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the unit menu should contain a "More..." item for
opening the user-defined-unit selection dialog.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-unit-menu-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-menu-set-unit"></a><h3>gimp_unit_menu_set_unit ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_unit_menu_set_unit (<em class="parameter"><code><a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> *menu</code></em>,
                         <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_unit_menu_set_unit</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Sets a new <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> for the specified <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a>.</p>
<div class="refsect3">
<a name="gimp-unit-menu-set-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>menu</p></td>
<td class="parameter_description"><p>The unit menu you want to set the unit for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>The new unit.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-menu-get-unit"></a><h3>gimp_unit_menu_get_unit ()</h3>
<pre class="programlisting"><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
gimp_unit_menu_get_unit (<em class="parameter"><code><a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> *menu</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_unit_menu_get_unit</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Returns the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> the user has selected from the <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a>.</p>
<div class="refsect3">
<a name="gimp-unit-menu-get-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>menu</p></td>
<td class="parameter_description"><p>The unit menu you want to know the unit of.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-unit-menu-get-unit.returns"></a><h4>Returns</h4>
<p> The unit the user has selected.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-menu-get-pixel-digits"></a><h3>gimp_unit_menu_get_pixel_digits ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
gimp_unit_menu_get_pixel_digits (<em class="parameter"><code><a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> *menu</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_unit_menu_get_pixel_digits</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Retrieve the number of digits for a pixel size as set by
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-set-pixel-digits" title="gimp_unit_menu_set_pixel_digits ()"><code class="function">gimp_unit_menu_set_pixel_digits()</code></a>.</p>
<div class="refsect3">
<a name="gimp-unit-menu-get-pixel-digits.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>menu</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-unit-menu-get-pixel-digits.returns"></a><h4>Returns</h4>
<p> the configured number of digits for a pixel size</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-unit-menu-set-pixel-digits"></a><h3>gimp_unit_menu_set_pixel_digits ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_unit_menu_set_pixel_digits (<em class="parameter"><code><a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> *menu</code></em>,
                                 <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> digits</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_unit_menu_set_pixel_digits</code> is deprecated and should not be used in newly-written code.</p></div>
<p>A GimpUnitMenu can be setup to control the number of digits shown
by attached spinbuttons. Please refer to the documentation of
<a class="link" href="libgimpwidgets-GimpOldWidgets.html#gimp-unit-menu-update" title="gimp_unit_menu_update ()"><code class="function">gimp_unit_menu_update()</code></a> to see how this is done.</p>
<p>This function specifies the number of digits shown for a size in
pixels. Usually this is 0 (only full pixels). If you want to allow
the user to specify sub-pixel sizes using the attached spinbuttons,
specify the number of digits after the decimal point here. You
should do this after attaching your spinbuttons.</p>
<div class="refsect3">
<a name="gimp-unit-menu-set-pixel-digits.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>menu</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>the number of digits to display for a pixel size</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpUnitMenu-struct"></a><h3>GimpUnitMenu</h3>
<pre class="programlisting">typedef struct _GimpUnitMenu GimpUnitMenu;</pre>
<div class="warning"><p><code class="literal">GimpUnitMenu</code> is deprecated and should not be used in newly-written code.</p></div>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpUnitMenu-unit-changed"></a><h3>The <code class="literal">“unit-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> *gimpunitmenu,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>      user_data)</pre>
<p>This signal is emitted whenever the user selects a <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> from
the <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a>.</p>
<div class="refsect3">
<a name="GimpUnitMenu-unit-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpUnitMenu.see-also"></a><h2>See Also</h2>
<p><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a>, <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>, <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-coordinates-new" title="gimp_coordinates_new ()"><code class="function">gimp_coordinates_new()</code></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>